Bug 550963 - Left hand tree structure UI annoyingly collapsing servers automatically
Summary: Left hand tree structure UI annoyingly collapsing servers automatically
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 3.0.0
Hardware: All
OS: Linux
low
high vote
Target Milestone: ---
: ---
Assignee: Lukas Krejci
QA Contact: Rajan Timaniya
URL:
Whiteboard:
Keywords: SubBug
Depends On:
Blocks: rhq_triage jon24-naming
TreeView+ depends on / blocked
 
Reported: 2009-12-28 10:34 UTC by Galder Zamarreño
Modified: 2010-08-12 16:51 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-08-12 16:51:58 UTC


Attachments (Terms of Use)

Description Galder Zamarreño 2009-12-28 10:34:47 UTC
Description of problem:
When using the Infinispan JOPR plugin, if i expand two CacheManagers servers in a single cluster node (you can see such example in the wink demos I did), I can see two links to "Default Cache" service. If I click one of them, the other cache manager Collapses!!! So, if I wanna go now to the other "Default Cache" service, I need to expand the CacheManagers server again. It's very annoying that Jopr keeps closing my expanded nodes without me actually doing it.

Version-Release number of selected component (if applicable):
Jopr 2.3.1 which I believe contains Rhq 1.3.1

How reproducible:
Should be reproducible with any servers shown by Jopr/Rhq

Steps to Reproduce:
1. Expand a server to show its services
2. Expand another server to show its services
  
Actual results:
The 1st server's services are collapsed.

Expected results:
The 1st server's services should not be collapsed unless I do so!

Additional info:

Comment 1 wes hayutin 2010-02-16 16:53:02 UTC
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug

Comment 2 wes hayutin 2010-02-16 16:58:37 UTC
making sure we're not missing any bugs in rhq_triage

Comment 3 Charles Crouch 2010-05-18 03:52:02 UTC
Lukas, this is fixed now in the revised left nav tree? If so, please push to QA

Comment 4 Lukas Krejci 2010-05-25 07:37:11 UTC
The revised nav tree should honour the open/closed state set by the user and not auto open/close the nodes.

Comment 5 Sudhir D 2010-05-27 11:06:39 UTC
I verified this on build# 170. Version: 2.4 SNAPSHOT. 

I expanded JBoss AS Server first and then expanded Postgres Server. Both were expanded. 

Marking this bug as verified.

Comment 6 Corey Welton 2010-08-12 16:51:58 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.